namespace ChartControl.Ofc
{
    public class OfcGraphGridColor : IOfcRenderer {
	
        public const string X_GRID_COLOR = "x_grid_colour";
        public const string Y_GRID_COLOR = "y_grid_colour";
	
        private string gridColor;
        private string color;
	
        public OfcGraphGridColor(string gridColor) {
            this.gridColor = gridColor;
        }

        public string Color
        {
            get { return color; }
            set { color = value; }
        }

        public string Render()
        {
            if (!string.IsNullOrEmpty(Color))
            {
                return "&" + gridColor + "=" + color + "&\r\n";
            }
            return "";
        }
    }
}