using System.Collections.Generic;
using System.Text;

namespace ChartControl.Ofc
{
    public class OfcGraphLabels<T> : IOfcRenderer
    {
        public const string graphLabels = "x_labels";

        private List<T> labels = new List<T>();


        public List<T> Values
        {
            get { return labels; }
            set { labels = value; }
        }
        public string Render()
        {
            StringBuilder value = new StringBuilder("&" + graphLabels + "=");

            for (int i = 0; i < labels.Count;i++ )
            {
                T item = labels[i];
                if (!typeof(T).IsValueType && string.IsNullOrEmpty(item as string))
                    continue;
                value.Append(item + ",");
            }

            //    labels.ForEach(delegate(T item)
            //                       {
            //                           if (!typeof(T).IsValueType && !string.IsNullOrEmpty(item as string))
            //                               return;
            //                           value.Append(item + ",");
            //                       });
            if (value[value.Length - 1] == ',')
                value.Remove(value.Length - 1, 1);
            value.Append("&\r\n");

            return value.ToString();
        }
    }
}