namespace ChartControl.Ofc
{
    public class OfcBarSeriesType : AbstractOfcBarSeriesType
    {

        public OfcBarSeriesType()
            : base(OfcSeriesType.SERIES_BAR)
        {
        }
        public OfcBarSeriesType(int alpha)
            : base(OfcSeriesType.SERIES_BAR, alpha)
        {
        }
        public OfcBarSeriesType(
            int alpha,
            string color,
            string text)
            : base(OfcSeriesType.SERIES_BAR, alpha, color, text)
        {

        }
        public override string Render()
        {
            string value = "&" + SerieType();
            if (Index > 1)
            {
                value += "_" + Index;
            }
            value += "=" + Alpha;

            if (!string.IsNullOrEmpty(Color))
            {
                value += "," + Color;
            }
            if (!string.IsNullOrEmpty(Text))
            {
                value += "," + Text + "," + FontSize;
            }

            value += "&\r\n";

            return value;
        }
    }
}