namespace ChartControl.Ofc
{
    public class OfcGraphAxisColor : IOfcRenderer {
	
        public const string X_AXIS_COLOR = "x_axis_colour";
        public const string Y_AXIS_COLOR = "y_axis_colour";
	
        private string axisColor;
        private string color;
	
        public OfcGraphAxisColor(string axisColor) {
            this.axisColor = axisColor;
        }
        public string Color
        {
            get { return color; }
            set { color = value; }
        }

        public string Render()
        {
            if (!string.IsNullOrEmpty(color))
            {
                return "&" + axisColor + "=" + color + "&\r\n";
            }
            return "";
        }
    }
}