using System;
using System.Collections.Generic;
using System.Collections;
using System.Text;
namespace ChartControl.Ofc
{
    public class OfcGraphLegend : OfcGraphText
    {
        public const string X_LEGEND = "x_legend";
        public const string Y_LEGEND = "y_legend";

        private string legend = X_LEGEND;

        public OfcGraphLegend()
            : this(X_LEGEND)
        {
        }
        public OfcGraphLegend(string legend)
            : base("", "#000000", 30)
        {
            this.legend = legend;
        }

        public override string Render()
        {
            if (!string.IsNullOrEmpty(Text))
            {
                return "&" + legend + "="
                       + Text
                       + "," + Size
                       + "," + Color
                       + "&\r\n";
            }
            return "";
        }
    }
}