namespace ChartControl.Ofc
{
    public abstract class OfcGraphText : IOfcRenderer
    {
        private string text;
        private string color = "#000000";
        private int size = 30;

        public string Text
        {
            get { return text; }
            set { text = value; }
        }

        public string Color
        {
            get { return color; }
            set { color = value; }
        }

        public int Size
        {
            get { return size; }
            set { size = value; }
        }

        public OfcGraphText(string text, string color, int size)
        {
            this.text = text;
            this.color = color;
            this.size = size;
        }

        public abstract string Render();
    }
}